Returns detailed information for a specified bill.

GET /bill/:congress/:billType/:billNumber

Example Request

/v3/bill/117/hr/3076
::

{
    'bill': {
         'actions': {
             'count': 74,
             'url': 'https://api.congress.gov/v3/bill/117/hr/3076/actions?format=json'
         },
         'amendments': {
             'count': 48,
             'url': 'https://api.congress.gov/v3/bill/117/hr/3076/amendments?format=json'
         },
         'billNumber': '3076',
         'billType': 'HR',
         'cboCostEstimates': [
             {
                 'pubDate': '2021-07-14T17:27:00Z',
                 'title': 'H.R. 3076, Postal Service Reform Act of 2021',
                 'url': 'https://www.cbo.gov/publication/57356'
             }
         ],
         'committeeReports': [
             {
                 'citation': '"H. Rept. 117-89,Part 1',
                 'url': 'https://api.congress.gov/v3/committeeReport/117/HRPT/89?format=json'
             }
         ],
         'committees': {
             'count': 3,
             'url': 'https://api.congress.gov/v3/bill/117/hr/3076/committees?format=json'
         },
         'congress': 112,
         'constitutionalAuthorityStatementText': 'By Mrs. CAROLYN B. MALONEY of New York...',
         'cosponsors': {
             'count': 102,
             'countIncludingWithdrawnCosponsors': 102,
             'url': 'https://api.congress.gov/v3/bill/117/hr/3076/cosponsors?format=json'
         },
         'introducedDate': '2021-05-11',
         'latestAction': {
             'date': '2022-04-06',
             'text': 'Became Public Law No: 117-108.',
         },
         'laws': [
             {
                 'number': '117-108',
                 'type': 'Public Law'
             }
         ],
         'notes': [],
         'originChamber': 'House',
         'policyArea': {
             'name': 'Government Operations and Politics',
         },
         'relatedBills': {
             'count': 4,
             'url': 'https://api.congress.gov/v3/bill/117/hr/3076/relatedbills?format=json'
         },
         'sponsors': [
             {
                 'bioguideId': 'M000087',
                 'fullName': 'Rep. Maloney, Carolyn B. [D-NY-12]',
                 'firstName': 'CAROLYN',
                 'lastName': 'MALONEY',
                 'middleName': 'B.',
                 'isByRequest': 'N',
                 'url': 'https://api.congress.gov/v3/member/M000087?format=json',
                  'party': 'D',
                  'state': 'NY',
                  'district': '12'

             }
         ],
         'subjects': {
             'count': 17,
             'url': 'https://api.congress.gov/v3/bill/117/hr/3076/subjects?format=json'
         },
         'summaries': {
             'count': 5,
             'url': 'https://api.congress.gov/v3/bill/117/hr/3076/summaries?format=json'
         },
         'updateDate': '2022-08-04T04:02:02Z',
         'textVersions': {
             'count': 7,
             'url': 'https://api.congress.gov/v3/bill/117/hr/3076/text?format=json'
         },
         'title': 'Postal Service Reform Act of 2021',
         'titles': {
             'count': 13,
             'url': 'https://api.congress.gov/v3/bill/117/hr/3076/titles?format=json'
            },
     }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 117.

string
required

The type of bill. Value can be hr, s, hjres, sjres, hconres, sconres, hres, or sres.

integer
required

The bill's assigned number. For example, the value can be 3076.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!